aboutsummaryrefslogtreecommitdiffstats
path: root/net-mgmt/arpwatch
diff options
context:
space:
mode:
authorkrion <krion@FreeBSD.org>2004-06-17 02:19:15 +0800
committerkrion <krion@FreeBSD.org>2004-06-17 02:19:15 +0800
commit080bd76e11f29f126ef81b2856e2e6c69c448462 (patch)
treecd73bca9b72afd5a0b4d3b96da9a7fca951c50bb /net-mgmt/arpwatch
parent7dcd96181c906d2a7b0dc0b81c07af3d783183f6 (diff)
downloadfreebsd-ports-gnome-080bd76e11f29f126ef81b2856e2e6c69c448462.tar.gz
freebsd-ports-gnome-080bd76e11f29f126ef81b2856e2e6c69c448462.tar.zst
freebsd-ports-gnome-080bd76e11f29f126ef81b2856e2e6c69c448462.zip
Be more informative and produce an error if binary doesn't
exist. Submitted by: rob@piethief.co.uk
Diffstat (limited to 'net-mgmt/arpwatch')
-rw-r--r--net-mgmt/arpwatch/files/arpwatch.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/net-mgmt/arpwatch/files/arpwatch.sh b/net-mgmt/arpwatch/files/arpwatch.sh
index 92035b9eb274..e7c5c3305bd4 100644
--- a/net-mgmt/arpwatch/files/arpwatch.sh
+++ b/net-mgmt/arpwatch/files/arpwatch.sh
@@ -31,6 +31,9 @@ start)
'')
if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then
"$PREFIX"/sbin/arpwatch && echo -n ' arpwatch'
+ else
+ echo "Error: Cannot find $PREFIX/sbin/arpwatch" >&2
+ exit 1
fi
;;
*)